package com.fjhx.admin.controller.product;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.product.dto.ProductInfoDto;
import com.fjhx.admin.entity.product.dto.ProductInfoSelectDto;
import com.fjhx.admin.entity.product.vo.ProductInfoVo;
import com.fjhx.admin.service.product.ProductInfoService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 产品库 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2023-03-17
 */
@RestController
@RequestMapping("/productInfo")
public class ProductInfoController {

    @Autowired
    private ProductInfoService productInfoService;

    /**
     * 产品库分页
     */
    @PostMapping("/page")
    public Page<ProductInfoVo> page(@RequestBody ProductInfoSelectDto dto) {
        return productInfoService.getPage(dto);
    }

    /**
     * 产品库明细
     */
    @PostMapping("/detail")
    public ProductInfoVo detail(@RequestBody BaseSelectDto dto) {
        return productInfoService.detail(dto.getId());
    }

    /**
     * 产品库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductInfoDto productInfoDto) {
        productInfoService.add(productInfoDto);
    }

    /**
     * 产品库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductInfoDto productInfoDto) {
        productInfoService.edit(productInfoDto);
    }

    /**
     * 产品库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productInfoService.delete(dto.getId());
    }

}
