package com.fjhx.admin.controller.supplier;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.admin.entity.supplier.vo.SupplierInfoVo;
import com.fjhx.admin.entity.supplier.dto.SupplierInfoSelectDto;
import com.fjhx.admin.entity.supplier.dto.SupplierInfoDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.admin.service.supplier.SupplierInfoService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 供应商 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-03-17
 */
@RestController
@RequestMapping("/supplierInfo")
public class SupplierInfoController {

    @Autowired
    private SupplierInfoService supplierInfoService;

    /**
     * 供应商分页
     */
    @PostMapping("/page")
    public Page<SupplierInfoVo> page(@RequestBody SupplierInfoSelectDto dto) {
        return supplierInfoService.getPage(dto);
    }

    /**
     * 供应商明细
     */
    @PostMapping("/detail")
    public SupplierInfoVo detail(@RequestBody BaseSelectDto dto) {
        return supplierInfoService.detail(dto.getId());
    }

    /**
     * 供应商新增
     */
    @PostMapping("/add")
    public void add(@RequestBody SupplierInfoDto supplierInfoDto) {
        supplierInfoService.add(supplierInfoDto);
    }

    /**
     * 供应商编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody SupplierInfoDto supplierInfoDto) {
        supplierInfoService.edit(supplierInfoDto);
    }

    /**
     * 供应商删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        supplierInfoService.delete(dto.getId());
    }

}
