package com.fjhx.admin.service.supplier.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.admin.entity.supplier.dto.SupplierInfoDto;
import com.fjhx.admin.entity.supplier.dto.SupplierInfoSelectDto;
import com.fjhx.admin.entity.supplier.po.SupplierInfo;
import com.fjhx.admin.entity.supplier.vo.SupplierInfoVo;
import com.fjhx.admin.mapper.supplier.SupplierInfoMapper;
import com.fjhx.admin.service.supplier.SupplierInfoService;
import com.fjhx.area.utils.AreaUtil;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 供应商 服务实现类
 * </p>
 *
 * @author
 * @since 2023-03-17
 */
@Service
public class SupplierInfoServiceImpl extends ServiceImpl<SupplierInfoMapper, SupplierInfo> implements SupplierInfoService {

    @Override
    public Page<SupplierInfoVo> getPage(SupplierInfoSelectDto dto) {
        IWrapper<SupplierInfo> wrapper = getWrapper();
        wrapper.orderByDesc("si", SupplierInfo::getId);
        Page<SupplierInfoVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);

        List<SupplierInfoVo> records = page.getRecords();
        if (records.size() == 0) {
            return page;
        }
        AreaUtil.setAreaName(records);
        return page;
    }

    @Override
    public SupplierInfoVo detail(Long id) {
        SupplierInfo SupplierInfo = this.getById(id);
        SupplierInfoVo result = BeanUtil.toBean(SupplierInfo, SupplierInfoVo.class);
        AreaUtil.setAreaName(result);
        return result;
    }

    @Override
    public void add(SupplierInfoDto supplierInfoDto) {
        this.save(supplierInfoDto);
    }

    @Override
    public void edit(SupplierInfoDto supplierInfoDto) {
        this.updateById(supplierInfoDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
